| The Gaudi Framework v32r1 (f65d50dc)

Classes | Namespaces | Typedefs | Functions
ToolHandle.h File Reference
`#include "GaudiKernel/GaudiHandle.h"`
`#include "GaudiKernel/IAlgTool.h"`
`#include "GaudiKernel/INamedInterface.h"`
`#include "GaudiKernel/IToolSvc.h"`
`#include "GaudiKernel/ServiceHandle.h"`
`#include "GaudiKernel/TaggedBool.h"`
`#include <stdexcept>`
`#include <string>`
`#include <type_traits>`
`#include <vector>`
Include dependency graph for ToolHandle.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ToolHandleInfo
| General info and helper functions for toolhandles and arrays. More...
class | BaseToolHandle
| Non-templated base class for actual ToolHandle<T>. More...
class | ToolHandle< T >
| Handle to be used in lieu of naked pointers to tools. More...
class | PublicToolHandle< T >
| Helper class to construct ToolHandle instances for public tools via the auto registering constructor. More...
class | ToolHandleArray< T >
| Array of Handles to be used in lieu of vector of naked pointers to tools. More...
class | PublicToolHandleArray< T >
| Helper class to construct ToolHandle instances for public tools via the auto registering constructor. More...

## Namespaces
| Gaudi
| Header file for std:chrono::duration-based Counters.

## Typedefs
using | DisableTool = Gaudi::tagged_bool< class DisableTool_tag >
using | EnableTool = Gaudi::tagged_bool< class EnableTool_tag >

## Functions
template<class T >
std::ostream & | operator<< (std::ostream &os, const ToolHandle< T > &handle)
template<class T >
std::ostream & | operator<< (std::ostream &os, const ToolHandleArray< T > &handle)

## Typedef Documentation

## ◆ DisableTool

using DisableTool = Gaudi::tagged_bool<class DisableTool_tag>

Definition at line 27 of file ToolHandle.h.

## ◆ EnableTool

using EnableTool = Gaudi::tagged_bool<class EnableTool_tag>

Definition at line 28 of file ToolHandle.h.

## Function Documentation

## ◆ operator<<() [1/2]

template<class T >

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ToolHandle< T > & | handle
| ) |  |
| inline

Definition at line 424 of file ToolHandle.h.

424 {
425 return operator<<( os, static_cast<const GaudiHandleInfo&>( handle ) );
426 }

## ◆ operator<<() [2/2]

template<class T >

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ToolHandleArray< T > & | handle
| ) |  |
| inline

Definition at line 429 of file ToolHandle.h.

429 {
430 return operator<<( os, static_cast<const GaudiHandleInfo&>( handle ) );
431 }